Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QProcess.ProcessState

    java.lang.Object
      java.lang.Enum<QProcess.ProcessState>
          com.trolltech.qt.core.QProcess.ProcessState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QProcess.ProcessState>

Enclosing class:
  QProcess

    public static enum QProcess.ProcessState

extends java.lang.Enum<QProcess.ProcessState>
implements QtEnumerator

This enum describes the different states of `QProcess`.

See Also:
  `state`

Enum Constant Summary
`NotRunning` The process is not running.
`Running` The process is running and is ready for reading and writing.
`Starting` The process is starting, but the program has not yet been invoked.

Method Summary
`static QProcess.ProcessState` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QProcess.ProcessState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QProcess.ProcessState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotRunning

    public static final QProcess.ProcessState NotRunning

  The process is not running.

### Starting

    public static final QProcess.ProcessState Starting

  The process is starting, but the program has not yet been invoked.

### Running

    public static final QProcess.ProcessState Running

  The process is running and is ready for reading and writing.

Method Detail

### values

    public static final QProcess.ProcessState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QProcess.ProcessState c : QProcess.ProcessState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QProcess.ProcessState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QProcess.ProcessState resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD